# gitlab-ci-pipeline

Shared pipelines for CI. Different types of testing that is done in the CI pipeline:


* Unit testing is defined as testing individual modules of an application in isolation (without any interaction with dependencies) to verify that the code is doing things right
* Integration testing is defined as checking if different modules are working fine when combined together as a group
* Functional testing is defined as testing a slice of functionality in the system (may interact with dependencies) to verify that the code is doing the right things

The tests mentioned above should not be hardware dependent, it should be possible to execute the tests in a single Docker container.
